using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;

namespace POSPrintSvr.DAL
{
	/// <summary>
	/// ݷCookRooms
	/// </summary>
	public class CookRooms
	{
		public CookRooms()
		{}
		#region  Ա

		/// <summary>
		/// Ƿڸü¼
		/// </summary>
		public bool Exists(string CookRoomNo)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from CookRooms");
            strSql.Append(string.Format(" where CookRoomNo='{0}' ",CookRoomNo));
            return (int.Parse(DbOperate.dbOperate.dbTools.ExecuteScalar(strSql.ToString()).ToString()) > 0);
		}


		/// <summary>
		/// һ
		/// </summary>
		public void Add(POSPrintSvr.Model.CookRooms model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into CookRooms(");
			strSql.Append("CookRoomNo,CookRoomName,PrinterName,PrinterIPAddress,PrintWidth,Remark,SysFlag)");
			strSql.Append(" values (");
			strSql.Append("@CookRoomNo,@CookRoomName,@PrinterName,@PrinterIPAddress,@PrintWidth,@Remark,@SysFlag)");
            SqlParameter[] parameters = {
					new SqlParameter("@CookRoomNo", SqlDbType.VarChar,3),
					new SqlParameter("@CookRoomName", SqlDbType.VarChar,40),
					new SqlParameter("@PrinterName", SqlDbType.VarChar,40),
					new SqlParameter("@PrinterIPAddress", SqlDbType.VarChar,20),
					new SqlParameter("@PrintWidth", SqlDbType.Int,4),
					new SqlParameter("@Remark", SqlDbType.VarChar,100),
					new SqlParameter("@SysFlag", SqlDbType.VarChar,1)};
			parameters[0].Value = model.CookRoomNo;
			parameters[1].Value = model.CookRoomName;
			parameters[2].Value = model.PrinterName;
			parameters[3].Value = model.PrinterIPAddress;
			parameters[4].Value = model.PrintWidth;
			parameters[5].Value = model.Remark;
			parameters[6].Value = model.SysFlag;
            DbOperate.dbOperate.dbTools.ExecSql(strSql.ToString(),parameters); 
		}
		/// <summary>
		/// һ
		/// </summary>
		public void Update(POSPrintSvr.Model.CookRooms model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update CookRooms set ");
			strSql.Append("CookRoomName=@CookRoomName,");
			strSql.Append("PrinterName=@PrinterName,");
			strSql.Append("PrinterIPAddress=@PrinterIPAddress,");
			strSql.Append("PrintWidth=@PrintWidth,");
			strSql.Append("Remark=@Remark,");
			strSql.Append("SysFlag=@SysFlag");
			strSql.Append(" where CookRoomNo=@CookRoomNo ");
            SqlParameter[] parameters = {
					new SqlParameter("@CookRoomNo", SqlDbType.VarChar,3),
					new SqlParameter("@CookRoomName", SqlDbType.VarChar,40),
					new SqlParameter("@PrinterName", SqlDbType.VarChar,40),
					new SqlParameter("@PrinterIPAddress", SqlDbType.VarChar,20),
					new SqlParameter("@PrintWidth", SqlDbType.Int,4),
					new SqlParameter("@Remark", SqlDbType.VarChar,100),
					new SqlParameter("@SysFlag", SqlDbType.VarChar,1)};
			parameters[0].Value = model.CookRoomNo;
			parameters[1].Value = model.CookRoomName;
			parameters[2].Value = model.PrinterName;
			parameters[3].Value = model.PrinterIPAddress;
			parameters[4].Value = model.PrintWidth;
			parameters[5].Value = model.Remark;
			parameters[6].Value = model.SysFlag;
            DbOperate.dbOperate.dbTools.ExecSql(strSql.ToString(), parameters);
		}

		/// <summary>
		/// ɾһ
		/// </summary>
		public void Delete(string CookRoomNo)
		{			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from CookRooms ");
			strSql.Append(" where CookRoomNo=@CookRoomNo ");
			SqlParameter[] parameters = {
					new SqlParameter("@CookRoomNo", SqlDbType.VarChar,50)};
			parameters[0].Value = CookRoomNo;
            DbOperate.dbOperate.dbTools.ExecSql(strSql.ToString(), parameters);
		}


		/// <summary>
		/// õһʵ
		/// </summary>
		public POSPrintSvr.Model.CookRooms GetModel(string CookRoomNo)
		{			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 CookRoomNo,CookRoomName,PrinterName,PrinterIPAddress,PrintWidth,Remark,SysFlag from CookRooms ");
            strSql.Append(string.Format(" where CookRoomNo='{0}' ",CookRoomNo));
            POSPrintSvr.Model.CookRooms model=new POSPrintSvr.Model.CookRooms();
            DataSet ds = DbOperate.dbOperate.dbTools.GetDataSet(strSql.ToString());
            if ((ds != null) && (ds.Tables.Count > 0))
            {
                model.CookRoomNo = ds.Tables[0].Rows[0]["CookRoomNo"].ToString();
                model.CookRoomName = ds.Tables[0].Rows[0]["CookRoomName"].ToString();
                model.PrinterName = ds.Tables[0].Rows[0]["PrinterName"].ToString();
                model.PrinterIPAddress = ds.Tables[0].Rows[0]["PrinterIPAddress"].ToString();
                if (ds.Tables[0].Rows[0]["PrintWidth"].ToString() != "")
                {
                    model.PrintWidth = int.Parse(ds.Tables[0].Rows[0]["PrintWidth"].ToString());
                }
                model.Remark = ds.Tables[0].Rows[0]["Remark"].ToString();
                model.SysFlag = ds.Tables[0].Rows[0]["SysFlag"].ToString();
                return model;
            }
            else
            {
                return null;
            }
		}

		/// <summary>
		/// б
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select CookRoomNo,CookRoomName,PrinterName,PrinterIPAddress,PrintWidth,Remark,SysFlag ");
			strSql.Append(" FROM CookRooms ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
            return DbOperate.dbOperate.dbTools.GetDataSet(strSql.ToString());
		}

		/// <summary>
		/// ǰ
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" CookRoomNo,CookRoomName,PrinterName,PrinterIPAddress,PrintWidth,Remark,SysFlag ");
			strSql.Append(" FROM CookRooms ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
            return DbOperate.dbOperate.dbTools.GetDataSet(strSql.ToString());
		}
		
		#endregion  Ա
	}
}

