using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using System.Collections;

namespace POSPrintSvr.DAL
{
	/// <summary>
	/// ݷMenuPrintRequest
	/// </summary>
	public class MenuPrintRequest
	{
		public MenuPrintRequest()
		{}
		#region  Ա

		/// <summary>
		/// Ƿڸü¼
		/// </summary>
		public bool Exists(decimal KeyID)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from MenuPrintRequest");
            strSql.Append(string.Format(" where KeyID={0} ",KeyID.ToString()));			
            return (int.Parse(DbOperate.dbOperate.dbTools.ExecuteScalar(strSql.ToString()).ToString()) > 0);
		}


		/// <summary>
		/// һ
		/// </summary>
		public int Add(POSPrintSvr.Model.MenuPrintRequest model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into MenuPrintRequest(");
			strSql.Append("AccountNo,TableNo,TableName,MenuID,MenuChName,MenuEnName,BarCode,MenuTypeName,CookRoomNo,Unit,FormatName,MenuOper,MenuPDA,MenuNum,CookTasteRemark,OrderType,SendOrBackReason,QuickOrLaterFlag,PrintFlag,SendTime,PrintTime)");
			strSql.Append(" values (");
			strSql.Append("@AccountNo,@TableNo,@TableName,@MenuID,@MenuChName,@MenuEnName,@BarCode,@MenuTypeName,@CookRoomNo,@Unit,@FormatName,@MenuOper,@MenuPDA,@MenuNum,@CookTasteRemark,@OrderType,@SendOrBackReason,@QuickOrLaterFlag,@PrintFlag,@SendTime,@PrintTime)");
            SqlParameter[] parameters = {
					new SqlParameter("@AccountNo", SqlDbType.VarChar,20),
					new SqlParameter("@TableNo", SqlDbType.VarChar,10),
					new SqlParameter("@TableName", SqlDbType.VarChar,20),
					new SqlParameter("@MenuID", SqlDbType.VarChar,10),
					new SqlParameter("@MenuChName", SqlDbType.VarChar,30),
					new SqlParameter("@MenuEnName", SqlDbType.VarChar,30),
					new SqlParameter("@BarCode", SqlDbType.VarChar,20),
					new SqlParameter("@MenuTypeName", SqlDbType.VarChar,40),
					new SqlParameter("@CookRoomNo", SqlDbType.VarChar,3),
					new SqlParameter("@Unit", SqlDbType.VarChar,10),
					new SqlParameter("@FormatName", SqlDbType.VarChar,10),
					new SqlParameter("@MenuOper", SqlDbType.VarChar,60),
					new SqlParameter("@MenuPDA", SqlDbType.VarChar,10),
					new SqlParameter("@MenuNum", SqlDbType.Decimal,5),
					new SqlParameter("@CookTasteRemark", SqlDbType.VarChar,40),
					new SqlParameter("@OrderType", SqlDbType.VarChar,10),
					new SqlParameter("@SendOrBackReason", SqlDbType.VarChar,40),
					new SqlParameter("@QuickOrLaterFlag", SqlDbType.VarChar,20),
					new SqlParameter("@PrintFlag", SqlDbType.VarChar,1),
					new SqlParameter("@SendTime", SqlDbType.DateTime),
					new SqlParameter("@PrintTime", SqlDbType.DateTime)};
			parameters[0].Value = model.AccountNo;
			parameters[1].Value = model.TableNo;
			parameters[2].Value = model.TableName;
			parameters[3].Value = model.MenuID;
			parameters[4].Value = model.MenuChName;
			parameters[5].Value = model.MenuEnName;
			parameters[6].Value = model.BarCode;
			parameters[7].Value = model.MenuTypeName;
			parameters[8].Value = model.CookRoomNo;
			parameters[9].Value = model.Unit;
			parameters[10].Value = model.FormatName;
			parameters[11].Value = model.MenuOper;
			parameters[12].Value = model.MenuPDA;
			parameters[13].Value = model.MenuNum;
			parameters[14].Value = model.CookTasteRemark;
			parameters[15].Value = model.OrderType;
			parameters[16].Value = model.SendOrBackReason;
			parameters[17].Value = model.QuickOrLaterFlag;
			parameters[18].Value = model.PrintFlag;
			parameters[19].Value = model.SendTime;
			parameters[20].Value = model.PrintTime;
            DbOperate.dbOperate.dbTools.ExecSql(strSql.ToString(),parameters);
            object obj = DbOperate.dbOperate.dbTools.ExecuteScalar("select IDENT_CURRENT('MenuPrintRequest')");
			if (obj == null)
			{
				return 1;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// һ
		/// </summary>
		public void Update(POSPrintSvr.Model.MenuPrintRequest model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update MenuPrintRequest set ");
			strSql.Append("AccountNo=@AccountNo,");
			strSql.Append("TableNo=@TableNo,");
			strSql.Append("TableName=@TableName,");
			strSql.Append("MenuID=@MenuID,");
			strSql.Append("MenuChName=@MenuChName,");
			strSql.Append("MenuEnName=@MenuEnName,");
			strSql.Append("BarCode=@BarCode,");
			strSql.Append("MenuTypeName=@MenuTypeName,");
			strSql.Append("CookRoomNo=@CookRoomNo,");
			strSql.Append("Unit=@Unit,");
			strSql.Append("FormatName=@FormatName,");
			strSql.Append("MenuOper=@MenuOper,");
			strSql.Append("MenuPDA=@MenuPDA,");
			strSql.Append("MenuNum=@MenuNum,");
			strSql.Append("CookTasteRemark=@CookTasteRemark,");
			strSql.Append("OrderType=@OrderType,");
			strSql.Append("SendOrBackReason=@SendOrBackReason,");
			strSql.Append("QuickOrLaterFlag=@QuickOrLaterFlag,");
			strSql.Append("PrintFlag=@PrintFlag,");
			strSql.Append("SendTime=@SendTime,");
			strSql.Append("PrintTime=@PrintTime");
			strSql.Append(" where KeyID=@KeyID ");
            SqlParameter[] parameters = {
					new SqlParameter("@KeyID", SqlDbType.Decimal,9),
					new SqlParameter("@AccountNo", SqlDbType.VarChar,20),
					new SqlParameter("@TableNo", SqlDbType.VarChar,10),
					new SqlParameter("@TableName", SqlDbType.VarChar,20),
					new SqlParameter("@MenuID", SqlDbType.VarChar,10),
					new SqlParameter("@MenuChName", SqlDbType.VarChar,30),
					new SqlParameter("@MenuEnName", SqlDbType.VarChar,30),
					new SqlParameter("@BarCode", SqlDbType.VarChar,20),
					new SqlParameter("@MenuTypeName", SqlDbType.VarChar,40),
					new SqlParameter("@CookRoomNo", SqlDbType.VarChar,3),
					new SqlParameter("@Unit", SqlDbType.VarChar,10),
					new SqlParameter("@FormatName", SqlDbType.VarChar,10),
					new SqlParameter("@MenuOper", SqlDbType.VarChar,60),
					new SqlParameter("@MenuPDA", SqlDbType.VarChar,10),
					new SqlParameter("@MenuNum", SqlDbType.Decimal,5),
					new SqlParameter("@CookTasteRemark", SqlDbType.VarChar,40),
					new SqlParameter("@OrderType", SqlDbType.VarChar,10),
					new SqlParameter("@SendOrBackReason", SqlDbType.VarChar,40),
					new SqlParameter("@QuickOrLaterFlag", SqlDbType.VarChar,20),
					new SqlParameter("@PrintFlag", SqlDbType.VarChar,1),
					new SqlParameter("@SendTime", SqlDbType.DateTime),
					new SqlParameter("@PrintTime", SqlDbType.DateTime)};
			parameters[0].Value = model.KeyID;
			parameters[1].Value = model.AccountNo;
			parameters[2].Value = model.TableNo;
			parameters[3].Value = model.TableName;
			parameters[4].Value = model.MenuID;
			parameters[5].Value = model.MenuChName;
			parameters[6].Value = model.MenuEnName;
			parameters[7].Value = model.BarCode;
			parameters[8].Value = model.MenuTypeName;
			parameters[9].Value = model.CookRoomNo;
			parameters[10].Value = model.Unit;
			parameters[11].Value = model.FormatName;
			parameters[12].Value = model.MenuOper;
			parameters[13].Value = model.MenuPDA;
			parameters[14].Value = model.MenuNum;
			parameters[15].Value = model.CookTasteRemark;
			parameters[16].Value = model.OrderType;
			parameters[17].Value = model.SendOrBackReason;
			parameters[18].Value = model.QuickOrLaterFlag;
			parameters[19].Value = model.PrintFlag;
			parameters[20].Value = model.SendTime;
			parameters[21].Value = model.PrintTime;
            DbOperate.dbOperate.dbTools.ExecSql(strSql.ToString(), parameters);
		}

		/// <summary>
		/// ɾһ
		/// </summary>
		public void Delete(decimal KeyID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from MenuPrintRequest ");
			strSql.Append(" where KeyID=@KeyID ");
			SqlParameter[] parameters = {
					new SqlParameter("@KeyID", SqlDbType.Decimal)};
            parameters[0].Value = KeyID; 
            DbOperate.dbOperate.dbTools.ExecSql(strSql.ToString(), parameters);
		}


		/// <summary>
		/// õһʵ
		/// </summary>
		public POSPrintSvr.Model.MenuPrintRequest GetModel(decimal KeyID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 KeyID,AccountNo,TableNo,TableName,MenuID,MenuChName,MenuEnName,BarCode,MenuTypeName,CookRoomNo,Unit,FormatName,MenuOper,MenuPDA,MenuNum,CookTasteRemark,OrderType,SendOrBackReason,QuickOrLaterFlag,PrintFlag,SendTime,PrintTime from MenuPrintRequest ");
            strSql.Append(string.Format(" where KeyID={0} ",KeyID.ToString()));
            POSPrintSvr.Model.MenuPrintRequest model=new POSPrintSvr.Model.MenuPrintRequest();
			DataSet ds=DbOperate.dbOperate.dbTools.GetDataSet(strSql.ToString());
			if(ds.Tables[0].Rows.Count>0)
			{
				if(ds.Tables[0].Rows[0]["KeyID"].ToString()!="")
				{
					model.KeyID=decimal.Parse(ds.Tables[0].Rows[0]["KeyID"].ToString());
				}
				model.AccountNo=ds.Tables[0].Rows[0]["AccountNo"].ToString();
				model.TableNo=ds.Tables[0].Rows[0]["TableNo"].ToString();
				model.TableName=ds.Tables[0].Rows[0]["TableName"].ToString();
				model.MenuID=ds.Tables[0].Rows[0]["MenuID"].ToString();
				model.MenuChName=ds.Tables[0].Rows[0]["MenuChName"].ToString();
				model.MenuEnName=ds.Tables[0].Rows[0]["MenuEnName"].ToString();
				model.BarCode=ds.Tables[0].Rows[0]["BarCode"].ToString();
				model.MenuTypeName=ds.Tables[0].Rows[0]["MenuTypeName"].ToString();
				model.CookRoomNo=ds.Tables[0].Rows[0]["CookRoomNo"].ToString();
				model.Unit=ds.Tables[0].Rows[0]["Unit"].ToString();
				model.FormatName=ds.Tables[0].Rows[0]["FormatName"].ToString();
				model.MenuOper=ds.Tables[0].Rows[0]["MenuOper"].ToString();
				model.MenuPDA=ds.Tables[0].Rows[0]["MenuPDA"].ToString();
				if(ds.Tables[0].Rows[0]["MenuNum"].ToString()!="")
				{
					model.MenuNum=decimal.Parse(ds.Tables[0].Rows[0]["MenuNum"].ToString());
				}
				model.CookTasteRemark=ds.Tables[0].Rows[0]["CookTasteRemark"].ToString();
				model.OrderType=ds.Tables[0].Rows[0]["OrderType"].ToString();
				model.SendOrBackReason=ds.Tables[0].Rows[0]["SendOrBackReason"].ToString();
				model.QuickOrLaterFlag=ds.Tables[0].Rows[0]["QuickOrLaterFlag"].ToString();
				model.PrintFlag=ds.Tables[0].Rows[0]["PrintFlag"].ToString();
				if(ds.Tables[0].Rows[0]["SendTime"].ToString()!="")
				{
					model.SendTime=DateTime.Parse(ds.Tables[0].Rows[0]["SendTime"].ToString());
				}
				if(ds.Tables[0].Rows[0]["PrintTime"].ToString()!="")
				{
					model.PrintTime=DateTime.Parse(ds.Tables[0].Rows[0]["PrintTime"].ToString());
				}
				return model;
			}
			else
			{
				return null;
			}
		}

		/// <summary>
		/// б
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select KeyID,AccountNo,TableNo,TableName,MenuID,MenuChName,MenuEnName,BarCode,MenuTypeName,CookRoomNo,Unit,FormatName,MenuOper,MenuPDA,MenuNum,CookTasteRemark,OrderType,SendOrBackReason,QuickOrLaterFlag,PrintFlag,SendTime,PrintTime ");
			strSql.Append(" FROM MenuPrintRequest ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
            return DbOperate.dbOperate.dbTools.GetDataSet(strSql.ToString());
		}

		/// <summary>
		/// ǰ
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" KeyID,AccountNo,TableNo,TableName,MenuID,MenuChName,MenuEnName,BarCode,MenuTypeName,CookRoomNo,Unit,FormatName,MenuOper,MenuPDA,MenuNum,CookTasteRemark,OrderType,SendOrBackReason,QuickOrLaterFlag,PrintFlag,SendTime,PrintTime ");
			strSql.Append(" FROM MenuPrintRequest ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
            return DbOperate.dbOperate.dbTools.GetDataSet(strSql.ToString());
		}

        /*
        /// <summary>
        /// ҳȡб
        /// </summary>
        public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        {
            IList<SqlParameter> parameters = {
                    new SqlParameter("@tblName", SqlDbType.VarChar, 255),
                    new SqlParameter("@fldName", SqlDbType.VarChar, 255),
                    new SqlParameter("@PageSize", SqlDbType.Int),
                    new SqlParameter("@PageIndex", SqlDbType.Int),
                    new SqlParameter("@IsReCount", SqlDbType.Bit),
                    new SqlParameter("@OrderType", SqlDbType.Bit),
                    new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
                    };
            parameters[0].Value = "MenuPrintRequest";
            parameters[1].Value = "ID";
            parameters[2].Value = PageSize;
            parameters[3].Value = PageIndex;
            parameters[4].Value = 0;
            parameters[5].Value = 0;
            parameters[6].Value = strWhere;	
            return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
        }*/

        #endregion  Ա
    }
}

