using System;
namespace POSPrintSvr.Model
{
	/// <summary>
	/// ʵMenuPrintRequest (˵ԶȡݿֶεϢ)
	/// </summary>
	[Serializable]
	public class MenuPrintRequest
	{
		public MenuPrintRequest()
		{}
		#region Model
		private decimal _keyid;
		private string _accountno;
		private string _tableno;
		private string _tablename;
		private string _menuid;
		private string _menuchname;
		private string _menuenname;
		private string _barcode;
		private string _menutypename;
		private string _cookroomno;
		private string _unit;
		private string _formatname;
		private string _menuoper;
		private string _menupda;
		private decimal? _menunum;
		private string _cooktasteremark;
		private string _ordertype;
		private string _sendorbackreason;
		private string _quickorlaterflag;
		private string _printflag;
		private DateTime? _sendtime;
		private DateTime? _printtime;
		/// <summary>
		/// 
		/// </summary>
		public decimal KeyID
		{
			set{ _keyid=value;}
			get{return _keyid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string AccountNo
		{
			set{ _accountno=value;}
			get{return _accountno;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string TableNo
		{
			set{ _tableno=value;}
			get{return _tableno;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string TableName
		{
			set{ _tablename=value;}
			get{return _tablename;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MenuID
		{
			set{ _menuid=value;}
			get{return _menuid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MenuChName
		{
			set{ _menuchname=value;}
			get{return _menuchname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MenuEnName
		{
			set{ _menuenname=value;}
			get{return _menuenname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string BarCode
		{
			set{ _barcode=value;}
			get{return _barcode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MenuTypeName
		{
			set{ _menutypename=value;}
			get{return _menutypename;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CookRoomNo
		{
			set{ _cookroomno=value;}
			get{return _cookroomno;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Unit
		{
			set{ _unit=value;}
			get{return _unit;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FormatName
		{
			set{ _formatname=value;}
			get{return _formatname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MenuOper
		{
			set{ _menuoper=value;}
			get{return _menuoper;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string MenuPDA
		{
			set{ _menupda=value;}
			get{return _menupda;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? MenuNum
		{
			set{ _menunum=value;}
			get{return _menunum;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string CookTasteRemark
		{
			set{ _cooktasteremark=value;}
			get{return _cooktasteremark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string OrderType
		{
			set{ _ordertype=value;}
			get{return _ordertype;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SendOrBackReason
		{
			set{ _sendorbackreason=value;}
			get{return _sendorbackreason;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string QuickOrLaterFlag
		{
			set{ _quickorlaterflag=value;}
			get{return _quickorlaterflag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string PrintFlag
		{
			set{ _printflag=value;}
			get{return _printflag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? SendTime
		{
			set{ _sendtime=value;}
			get{return _sendtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? PrintTime
		{
			set{ _printtime=value;}
			get{return _printtime;}
		}
		#endregion Model

	}
}

