using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.IO.Ports;

namespace PosPrintService
{
    /// <summary>
    /// OPOSָοDLL  
    ///   
    public class BeiYangOPOS
    {
        const string _DllVer = "1.4";
        /// <summary>
        /// ȡ̬汾
        /// </summary>
        public string GetDllVer
        {
            get { return _DllVer;}
        }

      
        /// <summary>
        /// 豸򿪺ľ
        /// </summary>
        public IntPtr POS_IntPtr;

        /// <summary>
        /// ֵ
        /// </summary>
        public uint POS_SUCCESS = 1001;//  ִгɹ 
        public uint POS_FAIL = 1002;   //  ִʧ 
        public uint POS_ERROR_INVALID_HANDLE = 1101; // ˿ڻļľЧ 
        public uint POS_ERROR_INVALID_PARAMETER = 1102;// Ч 
        public uint POS_ERROR_NOT_BITMAP = 1103 ; // λͼʽļ 
        public uint POS_ERROR_NOT_MONO_BITMAP = 1104;// λͼǵɫ 
        public uint POS_ERROR_BEYONG_AREA = 1105 ;//λͼӡԴĴС 
        public uint POS_ERROR_INVALID_PATH = 1106; // ûҵָļ· 

        /// <summary>
        /// ֹͣλ
        /// </summary>
        public uint POS_COM_ONESTOPBIT = 0x00;//ֹͣλΪ1
        public uint POS_COM_ONE5STOPBITS = 0x01;//ֹͣλΪ1.5
        public uint POS_COM_TWOSTOPBITS = 0x02;//ֹͣλΪ2
        /// <summary>
        /// żУ
        /// </summary>
        public uint POS_COM_NOPARITY = 0x00;//У
        public uint POS_COM_ODDPARITY = 0x01;//У
        public uint POS_COM_EVENPARITY = 0x02;//żУ
        public uint POS_COM_MARKPARITY = 0x03;//У
        public uint POS_COM_SPACEPARITY = 0x04;//ոУ
        /// <summary>
        /// COMڲ˿Ͷ
        /// </summary>
        public uint POS_COM_DTR_DSR = 0x00;// ΪDTR/DST  
        public uint POS_COM_RTS_CTS = 0x01;// ΪRTS/CTS 
        public uint POS_COM_XON_XOFF = 0x02;// ΪXON/OFF 
        public uint POS_COM_NO_HANDSHAKE = 0x03;// 
        public uint POS_OPEN_PARALLEL_PORT = 0x12;//򿪲ͨѶ˿ 
        public uint POS_OPEN_BYUSB_PORT = 0x13;//USBͨѶ˿ 
        public uint POS_OPEN_PRINTNAME = 0X14;// 򿪴ӡ 
        public uint POS_OPEN_NETPORT = 0x15;// ӿ 

        public uint POS_CUT_MODE_FULL = 0x00;// ȫ 
        public uint POS_CUT_MODE_PARTIAL = 0x01;//  

        /// <summary>
        /// POSĶ˿ ʼỰ
        /// </summary>
        /// <param name="lpName">
        ///ָ null βĴӡƻ˿ơ
        ///nParamֵΪPOS_COM_DTR_DSRPOS_COM_RTS_CTSPOS_COM_XON_XOFFPOS_COM_NO_HANDSHAKE ʱ COM1COM2COM3COM4ȱʾڣ
        ///nParamֵΪPOS_OPEN_PARALLEL_PORTʱLPT1LPT2ȱʾڣ
        ///nParamֵΪPOS_OPEN_BYUSB_PORTʱBYUSB-0BYUSB-1BYUSB-2BYUSB-3ȱʾUSB˿ڡ
        ///nParamֵΪPOS_OPEN_PRINTNAMEʱʾָĴӡ
        ///nParamֵΪPOS_OPEN_NETPORTʱʾָӿڣ硰192.168.10.251ʾӿIPַ</param>
        /// <param name="nComBaudrate">ͨҪĲ</param>
        /// <param name="nComDataBits">ͨҪλ</param>
        /// <param name="nComStopBits">ͨҪֹͣλ</param>
        /// <param name="nComParity">ͨҪǷҪżУ</param>
        /// <param name="nParam">ָ null βĴӡƻ˿ơ
        /// nParamֵΪPOS_COM_DTR_DSRPOS_COM_RTS_CTSPOS_COM_XON_XOFFPOS_COM_NO_HANDSHAKE ʱ
        /// COM1COM2COM3COM4ȱʾڣ
        /// nParamֵΪPOS_OPEN_PARALLEL_PORTʱLPT1LPT2ȱʾڣ
        /// nParamֵΪPOS_OPEN_BYUSB_PORTʱBYUSB-0BYUSB-1BYUSB-2BYUSB-3ȱʾUSB˿ڡ
        /// nParamֵΪPOS_OPEN_PRINTNAMEʱʾָĴӡ</param>
        /// <returns>óɹһѴ򿪵Ķ˿ھʧܣֵΪ INVALID_HANDLE_VALUE -1</returns>
        [DllImport("POSDLL.dll", CharSet = CharSet.Ansi)]
        public static extern IntPtr POS_Open([MarshalAs(UnmanagedType.LPStr)]string lpName, 
                                             uint nComBaudrate, 
                                             uint nComDataBits, 
                                             uint nComStopBits, 
                                             uint nComParity,
                                             uint nParam);

        /// <summary>
        /// رѾ򿪵Ĳڻ򴮿ڣUSB˿ڣӿڻӡ
        /// </summary>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_Close();

        /// <summary>
        /// λӡѴӡеַиߵñӡģʽָϵʱȱʡģʽ
        /// </summary>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_Reset();

        /// <summary>
        /// ôӡƶλ
        /// </summary>
        /// <param name="nHorizontalMU">ˮƽϵƶλΪ 25.4 / nHorizontalMU סΪ0255</param>
        /// <param name="nVerticalMU">ѴֱϵƶλΪ 25.4 / nVerticalMU סΪ0255</param>
        /// <returns>
        /// ɹ򷵻ֵΪ POS_SUCCESS
        /// ʧܣ򷵻ֵΪֵ֮һPOS_FAIL POS_ERROR_INVALID_HANDLE POS_ERROR_INVALID_PARAMETER </returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_SetMotionUnit(uint nHorizontalMU, uint nVerticalMU);
        /// <summary>
        /// ѡַʹҳ
        /// </summary>
        /// <param name="nCharSet">
        /// ַָͬĹַ0x230x7EASCIIֵӦķŶǲͬġ
        /// Ϊбֵ֮һ
        /// 0x00 U.S.A  0x01 France  0x02 Germany  0x03 U.K. 0x04 Denmark I 0x05 Sweden 
        /// 0x06 Italy 0x07 Spain I  0x08 Japan 0x09 Nonway 0x0A Denmark II 0x0B Spain II 
        /// 0x0C Latin America 0x0D Korea </param>
        /// <param name="nCodePage">
        /// ַָĴҳͬĴҳ0x800xFFASCIIֵӦķŶǲͬġ
        /// 0x00 PC437 [U.S.A. Standard Europe 0x01 Reserved 0x02 PC850 [Multilingual] 
        /// 0x03 PC860 [Portuguese] 0x04 PC863 [Canadian-French] 0x05 PC865 [Nordic] 
        /// 0x12 PC852 0x13 PC858 
        /// </param>
        /// <returns>
        /// ɹ򷵻ֵΪ POS_SUCCESS
        /// ʧܣ򷵻ֵΪֵ֮һPOS_FAIL POS_ERROR_INVALID_HANDLE POS_ERROR_INVALID_PARAMETER </returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_SetCharSetAndCodePage(uint nCharSet, uint nCodePage);

        /// <summary>
        /// POSʽ
        /// </summary>
        /// 
        public uint  POS_FONT_TYPE_STANDARD  = 0x00;// ׼ ASCII 
        public uint  POS_FONT_TYPE_COMPRESSED = 0x01;// ѹ ASCII  
        public uint  POS_FONT_TYPE_UDC = 0x02;       // ûԶַ 
        public uint  POS_FONT_TYPE_CHINESE = 0x03;   // ׼ 塱 
        public uint  POS_FONT_STYLE_NORMAL =  0x00;   //   
        public uint  POS_FONT_STYLE_BOLD =  0x08;   //  Ӵ 
        public uint  POS_FONT_STYLE_THIN_UNDERLINE =  0x80;   //  1ֵ» 
        public uint  POS_FONT_STYLE_THICK_UNDERLINE =  0x100;   //  2ֵ» 
        public uint  POS_FONT_STYLE_UPSIDEDOWN =  0x200;   //  ãֻЧ 
        public uint  POS_FONT_STYLE_REVERSE =  0x400;   //  ԣڵװ֣ 
        public uint  POS_FONT_STYLE_SMOOTH =  0x800;   //  ƽڷŴʱ 
        public uint POS_FONT_STYLE_CLOCKWISE_90 = 0x1000;   //  ÿַ˳ʱת 90 

        /// <summary>
        /// ѽҪӡַݷ͵ӡУָX ˮƽϵľʼλã
        /// ָÿַȺ͸߶ȷϵķŴͺͷ
        /// </summary>
        /// <param name="pszString">ָ null βַ</param>
        /// <param name="nOrgx">ָ X ˮƽʼλ߽ĵ</param>
        /// <param name="nWidthTimes">ַָĿȷϵķŴΪ 1 6</param>
        /// <param name="nHeightTimes">ַָ߶ȷϵķŴΪ 1  6</param>
        /// <param name="nFontType">ַָ͡</param>
        /// <param name="nFontStyle">ַָ</param>
        /// <returns></returns>
        
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_S_TextOut([MarshalAs(UnmanagedType.LPStr)]string pszString, 
                                                   uint nOrgx, uint nWidthTimes, uint nHeightTimes, 
                                                   uint nFontType, uint nFontStyle);

        /// <summary>
        /// POSĴӡģʽ (ֻ ҳģʽͱ׼ģʽ)
        /// </summary>
        /// <param name="nPrintMode">
        /// POS_PRINT_MODE_STANDARD 0x00 ׼ģʽģʽ 
        /// POS_PRINT_MODE_PAGE 0x01 ҳģʽ 
        /// POS_PRINT_MODE_BLACK_MARK_LABEL 0x02 ڱǱǩģʽ 
        /// POS_PRINT_MODE_WHITE_MARK_LABEL 0x03 ױǱǩģʽ </param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_SetMode(uint nPrintMode);
        /// <summary>
        /// ַиߡ
        /// </summary>
        /// <param name="nDistance">ָиߵΪ 0  255ÿľӡͷֱء</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_SetLineSpacing(uint nDistance);
        /// <summary>
        /// ַҼַࣨļ϶룩
        /// </summary>
        /// <param name="nDistance">ָҼĵΪ 0  255ÿľӡͷֱء</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_SetRightSpacing(int nDistance);

        /// <summary>
        /// ǰֽ
        /// 1ڱ׼ӡģʽģʽ´ӡıӡеݣҴӡλԶƶһеס
        /// 2ڱ׼ӡģʽģʽ´ӡλͼָλôӡλͼҴӡλԶƶһеס
        /// 3ҳģʽǩģʽ£ҪӡָλãͬʱѴӡλƶһף
        /// ǲֽӡһֱ POS_PL_Print ʱŴӡ
        /// </summary>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_FeedLine();
        /// <summary>
        /// ӡͷn 
        /// </summary>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_FeedLines(uint nLines);
        
        /// <summary>
        /// ֽ
        /// </summary>
        /// <param name="nMode">ģʽ лȫ</param>
        /// <param name="nDistance">λľ</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_CutPaper(uint nMode, uint nDistance);

        /// <summary>
        /// ұ߾
        /// </summary>
        /// <param name="nDistance">ұ߾</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_SetRightSpacing(uint nDistance);
        /// <summary>
        /// Ԥһλͼӡ RAM Уͬʱָλͼ ID š
        /// </summary>
        /// <param name="pszPath">ָ null βıʾλͼ·ļַ</param>
        /// <param name="nID">ָҪصλͼ ID šΪ 0  7</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PreDownloadBmpToRAM([MarshalAs(UnmanagedType.LPStr)]string pszPath, uint nID);
        /// <summary>
        /// زӡλͼ
        /// </summary>
        /// <param name="pszPath">ָnull βİλͼļ·Ƶַ</param>
        /// <param name="nOrgx">ָҪӡλͼ߽ľΪ 0 65535 㡣</param>
        /// <param name="nMode">ָλͼĴӡģʽ</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_S_DownloadAndPrintBmp([MarshalAs(UnmanagedType.LPStr)]string pszPath, uint nOrgx, uint nMode);

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_S_PrintBmpInRAM(uint nID, uint nOrgx, uint nMode);

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_S_PrintBmpInFlash(uint nID, uint nOrgx, uint nMode);

        /// <summary>
        /// ͨڷصǰӡ״̬˺ʵʱġ
        /// </summary>
        /// <param name="address"></param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_RTQueryStatus(byte[] address);

        /// <summary>
        /// ͨڲѯӡǰ״̬˺Ƿʵʱġ
        /// </summary>
        /// <param name="pszStatus">
        /// ָ򷵻ص״̬ݵĻСΪ 1 ֽڡ
        /// 01 0/1 ֽֽ / ֽþ 23 0/1 ӡͷֽ / ֽ 
        /// 45 0/1 Ǯ 3 ĵƽΪ / ߣʾ򿪻رգ 
        /// 67 0 ̶Ϊ0 
        /// </param>
        /// <param name="nTimeouts">òѯ״̬ʱԼĳʱʱ䣨룩</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_QueryStatus(byte[] pszStatus, int nTimeouts);
        /// <summary>
        /// ͨӿڲѯصǰӡ״̬
        /// </summary>
        /// <param name="ipAddress">豸IPַ硰192.168.10.251</param>
        /// <param name="pszStatus">
        /// ָշ״̬ĻСΪ 1 ֽڡ 
        /// 0 0/1 Ǯ 3 ĵƽΪ/ߣʾ򿪻رգ 
        /// 1 0/1 ӡ/ѻ 
        /// 2 0/1 ϸǹر/ 
        /// 3 0/1 û/Feed¶ֽ 
        /// 4 0/1 ӡû/г 
        /// 5 0/1 еû/г 
        /// 6 0/1 ֽ/ֽֽ̽⣩ 
        /// 7 0/1 ֽ/ֽþֽ̽⣩ 
        /// </param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern int POS_NETQueryStatus([MarshalAs(UnmanagedType.LPStr)]string ipAddress, out Byte pszStatus);

        
        /// <summary>
        /// òӡ롣
        /// </summary>
        /// <param name="pszInfo">ָ null βַÿַķΧ͸ʽйء</param>
        /// <param name="nOrgx">ָҪӡˮƽʼ߽ľΪ 0 65535</param>
        /// <param name="nType">
        /// ָ͡Ϊбֵ֮һ
        /// POS_BARCODE_TYPE_UPC_A 0x41 UPC-A POS_BARCODE_TYPE_UPC_E 0x42 UPC-C 
        /// POS_BARCODE_TYPE_JAN13 0x43 JAN13(EAN13) POS_BARCODE_TYPE_JAN8 0x44 JAN8(EAN8) 
        /// POS_BARCODE_TYPE_CODE39 0x45 CODE39 POS_BARCODE_TYPE_ITF 0x46 INTERLEAVED 2 OF 5 
        /// POS_BARCODE_TYPE_CODEBAR 0x47 CODEBAR POS_BARCODE_TYPE_CODE93 0x48 25 
        /// POS_BARCODE_TYPE_CODE128 0x49 CODE 128 </param>
        /// <param name="nWidthX">
        /// ָĻԪؿȡ
        /// 2 025mm 025mm 0625mm 3 0375mm 0375mm 10mm 4 05mm 05mm 125mm 
        /// 5 0625mm 0625mm 1625mm 6 075mm 075mm 1.875mm 
        /// </param>
        /// <param name="nheight">ָĸ߶ȵΪ 1  255 ĬֵΪ162 㡣</param>
        /// <param name="nHriFontType">
        /// ָ HRIHuman Readable Interpretationַ͡Ϊбֵ֮һ
        /// POS_FONT_TYPE_STANDARD 0x00 ׼ASCII POS_FONT_TYPE_COMPRESSED 0x01 ѹASCII 
        /// </param>
        /// <param name="nHriFontPosition">
        /// ָHRIHuman Readable Interpretationַλá
        /// POS_HRI_POSITION_NONE  0x00 ӡ POS_HRI_POSITION_ABOVE 0x01 ֻϷӡ 
        /// POS_HRI_POSITION_BELOW 0x02 ֻ·ӡ POS_HRI_POSITION_BOTH  0x03 ϡ·ӡ 
        /// </param>
        /// <param name="nBytesOfInfo">ָɲ pszInfoBufferַָҪ͸ӡֵַйء</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_S_SetBarcode([MarshalAs(UnmanagedType.LPStr)]string pszInfo,
                                                      uint nOrgx,uint nType,uint nWidthX,uint nheight,
                                                      uint nHriFontType,uint nHriFontPosition,uint nBytesOfInfo);


        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_SetArea(uint nOrgx , uint nOrgY , uint nWidth , uint nheight , uint nDirection );

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_TextOut([MarshalAs(UnmanagedType.LPStr)]string pszString,uint nOrgx,uint nOrgY, 
                                                   uint nWidthTimes, uint nHeightTimes, uint nFontType, uint nFontStyle);

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_PrintBmpInRAM(uint nID , uint nOrgx , uint nOrgY , uint nMode );

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_PrintBmpInFlash(uint nID, uint nOrgx, uint nOrgY, uint nMode);

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_SetBarcode([MarshalAs(UnmanagedType.LPStr)]string pszInfo, 
                                                       uint nOrgx , uint nOrgY , uint nType , uint nWidthX,uint nheight,
                                                       uint nHriFontType,uint nHriFontPosition,uint nBytesOfInfo);

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_Clear();

        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_PL_Print();
        /// <summary>
        /// ǮŷԴǮ䡣
        /// </summary>
        /// <param name="nID">ָǮš0x00 Ǯ2 0x01 Ǯ5 </param>
        /// <param name="nOnTimes">ָǮ䷢͵ĸߵƽ屣ʱ䣬 nOnTimes  2 롣Ϊ1  255</param>
        /// <param name="nOffTimes">ָǮ䷢͵ĵ͵ƽ屣ʱ䣬 nOffTimes  2 롣Ϊ1  255</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_KickOutDrawer(uint nID, uint nOnTimes, uint nOffTimes);
        /// <summary>
        /// ½һӡҵ
        /// </summary>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern bool POS_StartDoc();
        /// <summary>
        /// һӡҵ
        /// </summary>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern bool POS_EndDoc();
        /// <summary>
        /// ݵ˿ڻļͨö˿ڴӡʹô˺ һ㲻Сʽ
        /// </summary>
        /// <param name="hPort">˿ڻļͨPOS_Openȡ</param>
        /// <param name="pszData">ָҪ͵ݻ</param>
        /// <param name="nBytesToWrite">ָҪ͵ݵֽ</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_WriteFile(IntPtr hPort, byte[] pszData, uint nBytesToWrite);
        /// <summary>
        /// ӴڣUSB˿ڻļݵָĻ
        /// </summary>
        /// <param name="hPort">˿ڻļͨPOS_Openȡ</param>
        /// <param name="pszData">ָҪȡݻ</param>
        /// <param name="nBytesToRead">ݵֽ</param>
        /// <param name="nTimeouts">Ƕȡݵļʱ</param>
        /// <returns></returns>
        [DllImport("POSDLL.dll", SetLastError = true)]
        public static extern IntPtr POS_ReadFile(IntPtr hPort, byte[] pszData, uint nBytesToRead, uint nTimeouts);

        /// <summary>
        /// 򿪴ӡ豸Ĵ
        /// </summary>
        /// <param name="PrintSerialPort">ڶ(ҪȳʼԲЧ£)</param>
        /// <returns>Ƿ򿪳ɹ</returns>
        public bool OpenComPort(ref SerialPort PrintSerialPort)
        { 
            uint i_stopbits=0;
            if (PrintSerialPort.StopBits== StopBits.One)
                i_stopbits=POS_COM_ONESTOPBIT;
            if (PrintSerialPort.StopBits== StopBits.OnePointFive)
                i_stopbits=POS_COM_ONE5STOPBITS;
            if (PrintSerialPort.StopBits== StopBits.Two)
                i_stopbits=POS_COM_TWOSTOPBITS;

            uint i_nComParity=0;
            if (PrintSerialPort.Parity== Parity.None)
                i_nComParity=POS_COM_NOPARITY;
            if (PrintSerialPort.Parity== Parity.Even)
                i_nComParity=POS_COM_EVENPARITY;
            if (PrintSerialPort.Parity== Parity.Odd)
                i_nComParity=POS_COM_ODDPARITY;
            if (PrintSerialPort.Parity== Parity.Space)
                i_nComParity=POS_COM_SPACEPARITY;
            if (PrintSerialPort.Parity== Parity.Mark)
                i_nComParity=POS_COM_MARKPARITY;

            uint i_para=0;
            if (PrintSerialPort.Handshake== Handshake.None)
                i_para=POS_COM_NO_HANDSHAKE;
            if (PrintSerialPort.Handshake== Handshake.RequestToSend)
                i_para=POS_COM_DTR_DSR;
            if (PrintSerialPort.Handshake== Handshake.RequestToSendXOnXOff)
                i_para=POS_COM_RTS_CTS;
            if (PrintSerialPort.Handshake== Handshake.XOnXOff)
                i_para=POS_COM_XON_XOFF;

            POS_IntPtr = POS_Open(PrintSerialPort.PortName, 
                                 (uint)PrintSerialPort.BaudRate,
                                 (uint)PrintSerialPort.DataBits,
                                 i_stopbits, i_nComParity, i_para);

            if ((int)POS_IntPtr != -1)
                return true;
            else
                return false;
        }
        /// <summary>
        /// 򿪴ӡ豸
        /// </summary>
        /// <param name="LPTPortName"></param>
        /// <returns>Ƿ򿪳ɹ</returns>
        public bool OpenLPTPort(string LPTPortName)
        {
            POS_IntPtr = POS_Open(LPTPortName, 0, 0, 0, 0, POS_OPEN_PARALLEL_PORT);
            if ((int)POS_IntPtr != -1)
                return true;
            else
                return false;
        }
        /// <summary>
        /// 򿪴ӡ豸
        /// </summary>
        /// <param name="IPAddress">豸IPַ</param>
        /// <returns>Ƿ򿪳ɹ</returns>
        public bool OpenNetPort(string IPAddress)
        {
            POS_IntPtr = POS_Open(IPAddress, 0, 0, 0, 0, POS_OPEN_NETPORT);
            if ((int)POS_IntPtr != -1)
                return true;
            else
                return false;
        }
        /// <summary>
        /// 򿪴ӡ豸USB˿
        /// </summary>
        /// <param name="USBPortName">BYUSB-0BYUSB-1BYUSB-2BYUSB-3</param>
        /// <returns>Ƿ򿪳ɹ</returns>
        public bool OpenUSBPort(string USBPortName)
        {
            POS_IntPtr = POS_Open(USBPortName, 0, 0, 0, 0, POS_OPEN_BYUSB_PORT);
            if ((int)POS_IntPtr != -1)
                return true;
            else
                return false;
        }
        /// <summary>
        /// ʹwindowsӡOPOS豸
        /// </summary>
        /// <param name="PrintName">ӡӦĴӡ</param>
        /// <returns>Ƿ򿪳ɹ</returns>
        public bool OpenPrinter(string PrintName)
        {
            POS_IntPtr = POS_Open(PrintName, 0, 0, 0, 0, POS_OPEN_PRINTNAME);
            if ((int)POS_IntPtr != -1)
                return true;
            else
                return false;
        }
        /// <summary>
        /// ر豸˿
        /// </summary>
        /// <returns>Ƿرճɹ</returns>
        public bool ClosePrinterPort()
        {
            IntPtr tmpIntPtr = POS_Close();
            return ((uint)tmpIntPtr == POS_SUCCESS);
        }
    }
}
