using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Text;
using System.Threading;
using System.IO;

namespace PosPrintService
{
    /// <summary>
    /// ¼ϵͳ־
    /// </summary>
    public class LogManager
    {
        /// <summary>
        /// ־
        /// </summary>
        public enum LogFile
        {
            Trace,
            Warning,
            Error,
            SQL
        }

        private static string logPath = string.Empty;
        /// <summary>
        /// ־ļ
        /// </summary>
        public static string LogPath
        {
            get
            {
                if (logPath == string.Empty)
                {
                    logPath = AppDomain.CurrentDomain.BaseDirectory + "Log\\";
                    if (!System.IO.Directory.Exists(logPath))
                        System.IO.Directory.CreateDirectory(logPath);
                }
                return logPath;
            }
            set { logPath = value; }
        }

        private static string logFielPrefix = string.Empty;
        /// <summary>
        /// ־ļǰ׺
        /// </summary>
        public static string LogFielPrefix
        {
            get { return logFielPrefix; }
            set { logFielPrefix = value; }
        }

        /// <summary>
        /// д־
        /// </summary>
        public static void WriteLog(string logFile, string msg)
        {
            FileStream fs = null;
            try
            {
                string file = LogPath + LogFielPrefix + logFile + "_" + DateTime.Now.ToString("yyyyMMdd") + ".txt";
                fs = File.Open(file, FileMode.OpenOrCreate);

                if (fs.Length < 1048576)//дļܳ1mb
                {
                    fs.Flush();
                    fs.Close();
                    System.IO.StreamWriter sw = System.IO.File.AppendText(file);
                    sw.WriteLine(DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss: ") + msg);
                    sw.Flush();
                    sw.Close();
                }
                else
                {
                    File.Delete(file);
                }
            }
            catch
            { }
            try
            {
                fs.Flush();
                fs.Close();
            }
            catch { }
        }
    }

}
